<script lang="ts">
	import NewWindowIcon from '$lib/icons/arrow-up-right-from-square.svelte';
	import Table from '$lib/components/table/Table.svelte';
	import type { User } from '$lib/types/common';
	import type { Column } from '$lib/components/table/table';

	type Data = {
		users: User[];
	};

	export let data: Data;

	const columns: Column[] = [
		{ key: 'id', name: '#' },
		{ key: 'name', name: 'Name' },
		{ key: 'email', name: 'Email' },
		{ key: 'address.city', name: 'City' },
		{ key: 'website', name: 'Web' }
	];
</script>

<svelte:head>
	<title>Users</title>
</svelte:head>

<Table {columns} data={data.users}>
	<th slot="appendColumn">Posts</th>
	<td slot="appendColumnData" let:userId>
		<div class="flex items-center">
			<a href={`/posts/${userId}`} class="hover:text-slate-400">User posts</a>
			<a href={`/posts/${userId}`} target="_blank" class="ml-2 hover:text-slate-400"
				><NewWindowIcon /></a
			>
		</div>
	</td>
</Table>
